"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const terminalHelpers_1 = require("./terminalHelpers");
const i18next_1 = require("i18next");
/** Checking if Docker is installed and running on user's machine */
const checkNode = async () => {
    const node = (0, child_process_1.spawn)('node', ['-v']);
    return await new Promise((resolve) => {
        node.stdout.on('data', (data) => {
            if (!data.toString().includes('v16')) {
                (0, terminalHelpers_1.logSimpleErrorMessage)((0, i18next_1.t)('command.generate_store.magento.node_not_ok'));
                process.exit(1);
            }
        });
        node.on('close', () => {
            (0, terminalHelpers_1.logSimpleSuccessMessage)((0, i18next_1.t)('command.generate_store.magento.node_ok'));
            resolve();
        });
    });
};
exports.default = checkNode;
//# sourceMappingURL=checkNode.js.map